Building X11R7.1

Darran Kartaschew darran.kartaschew at pcanu.com.au
Thu Sep 21 22:41:17 UTC 2006


 
-----Original Message-----
From: crux-bounces at lists.crux.nu On Behalf Of Predrag Ivanovic
Sent: Friday, 22 September 2006 01:26
To: crux at lists.crux.nu
Subject: Re: Building X11R7.1

On Mon, 18 Sep 2006 14:10:43 +1000
Darran Kartaschew wrote:

< xorg 7.1 install>

> Anyway, I've come across another problem. ATI drivers... I grabbed the
> v8.28.8 rpm from ati.com for x.org (the 17MB one, not the full 50MB+ 
> installer), and getting a message about version mismatch when trying 
> to start X when using this driver?
> ------
> ABI class: X.Org Video Driver, version 1.0 [R200Setup] X version 
> mismatch - detected X.org 7.1.0, required X.org 6.8.0.0

Xorg broke ABI with 7.x release, hence message above.
Driver you have is for xorg-6.8.
You'll need ATI 8.27.10 drivers, they have support for Xorg-7.1.[1]
Also,I see from message above that you have R200.
Quote from link below:
"There still is no further word on the status of R200 products with
these drivers." 
But, better check [2]
 
--

Well, you learn something new each day, the 55MB installer has copies of
the driver for both XFree86 4.1-4.3 AND X.Org 6.8 - 7.1. After
downloading the big one, and running it, I've now got a functionaly X!
:) 

Darran



More information about the CRUX mailing list